## gsocket 1.4.29

=== debian/changelog ===
gsocket (1.4.29-1) unstable; urgency=medium

  * Initial release (Closes: #986297)

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 09 Apr 2021 23:51:38 -0500
