=== debian/control ===
Source: gsocket
Section: net
Priority: optional
Maintainer: Daniel Echeverri <epsilon@debian.org>
Build-Depends: debhelper-compat (= 13), libbsd-dev, libssl-dev
Standards-Version: 4.5.1
Homepage: https://github.com/hackerschoice/gsocket
Vcs-Browser: https://salsa.debian.org/debian/gsocket
Vcs-Git: https://salsa.debian.org/debian/gsocket.git
Rules-Requires-Root: no

Package: gsocket
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Allows two machines on different networks to communicate with each other
 Abandon the thought of IP Addresses and Port Numbers. Instead start thinking
 that two programs should be able to communicate with each other as long as
 they know the same secret (rather than each other's IP Address and Port
 Number). The Global Socket library facilitates this: It locally derives
 temporary session keys and IDs and connects two programs through the Global
 Socket Relay Network (GSRN) regardless and independent of the local IP
 Address or geographical location.
 .
 Once connected the library then negotiates a secure TLS connection(End-2-End).
 The secret never leaves your workstation. The GSRN sees only the encrypted
 traffic.
 .
 The GSRN is a free cloud service and is free to use by anyone.
 .
 The Global Socket Toolkit comes with a set of tools:
 .
 gsocket - Makes an existing program (behind firewall or NAT) accessible from
 anywhere in the world. It does so by analyzing the program and replacing the
 IP-Layer with its own Gsocket-Layer. A client connection to a hostname ending
 in '*.gsocket' then gets automatically redirected (via the GSRN) to this
 program.
 .
 gs-netcat - Netcat on steroids. Turn gs-netcat into an AES-256 encrypted
 reverse backdoor via TOR (optional) with a true PTY/interactive command shell
 (gs-netcat -s MySecret -i), integrated file-transfer, spawn a Socks4/4a/5
 proxy or forward TCP connections or give somebody temporary shell access.
 .
 gs-sftp - sftp server & client between two firewalled workstations.
 gs-mount - Access and mount a remote file system.
 blitz - Copy data from workstation to workstation.
