## gsocket 1.4.33

=== debian/changelog ===
gsocket (1.4.33-2ubuntu1) jammy; urgency=medium

  * Remove flaky-tests, they hang up the testing infrastructure.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 07 Mar 2022 13:47:11 +0100

gsocket (1.4.33-2) unstable; urgency=medium

  * Mark test 6.1 as flaky test. (Closes: #1005890)
  * Fix typo in d/upstream/metadata file.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 19 Feb 2022 11:18:52 -0500

gsocket (1.4.33-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version to 4.6.0 (no changes)
  * debian/patches
    + Remove all patches.
      + Merge with upstream.

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 27 Aug 2021 22:28:02 -0500
