=== debian/tests/control ===
Tests: upstream-tests
Depends: @, @builddeps@, bc, rsync, net-tools, netcat, coreutils, socat, sshfs
Restrictions: build-needed, allow-stderr
