=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gsocket-$1\.tar\.gz/ \
  https://github.com/hackerschoice/gsocket/tags .*/v?(\d\S+)\.tar\.gz
