## gsocket 1.4.39

=== tests/Makefile ===


clean:
	rm -rf id_sec.txt gs_nc test*.dat client*.txt server*.txt client*.dat server*.dat ft_test_dst ft_test_src
	>server.log</dev/null
	>client.log</dev/null
