=== debian/changelog ===
gsocket (1.4.39-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file.
  * Update lintian-overrides.
  * Update debian/gsocket.symbols file.

 -- Daniel Echeverri <epsilon@debian.org>  Thu, 22 Dec 2022 09:48:41 -0500

gsocket (1.4.37-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version to 4.6.1 (no changes).
  * debian/copyright
    + Extend debian copyright holders years.

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 08 Jul 2022 20:26:19 -0500
