=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gsocket
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libssl-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/hackerschoice/gsocket
 Vcs-Browser: https://salsa.debian.org/debian/gsocket
 Vcs-Git: https://salsa.debian.org/debian/gsocket.git
