=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gsocket-$1.tar.gz%" \
 https://github.com/hackerschoice/gsocket/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
