=== debian/changelog ===
gsocket (1.4.40-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Bump Standards-Version to 4.6.2 (no changes).
    + Add dpkg-dev package in Depends.
  * debian/copyright
    + Extend debian copyright holders years.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 18 Jun 2023 14:25:04 -0500
