=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libssl-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/hackerschoice/gsocket
 Vcs-Browser: https://salsa.debian.org/debian/gsocket
 Vcs-Git: https://salsa.debian.org/debian/gsocket.git
@@ -11,7 +11,7 @@
 
 Package: gsocket
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg-dev
 Description: Allows two machines on different networks to communicate with each other
  Abandon the thought of IP Addresses and Port Numbers. Instead start thinking
  that two programs should be able to communicate with each other as long as
