## gsocket 1.4.41

=== debian/changelog ===
gsocket (1.4.41-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:10 +1100

gsocket (1.4.41-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:09:32 +0000

gsocket (1.4.41-1) unstable; urgency=medium

  * New upstream version 1.4.41

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 30 Sep 2023 15:15:17 -0500
