=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gsocket
 Section: net
 Priority: optional
-Maintainer: Daniel Echeverri <epsilon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13), libbsd-dev, libssl-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/hackerschoice/gsocket
