=== debian/changelog ===
gsocket (1.4.43-4) unstable; urgency=medium

  * Update symbols file for loong64. (Closes: #1074293)
    + Thanks to zhangdandan for the patch!

 -- Daniel Echeverri <epsilon@debian.org>  Thu, 27 Jun 2024 21:48:58 -0500

gsocket (1.4.43-3) unstable; urgency=medium

  * Update symbols file, ignore symbol on ppc64el

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 08 Jun 2024 22:33:41 -0500

gsocket (1.4.43-2) unstable; urgency=medium

  * Fix FTBFS in some archs. (Closes: #1071928)

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 02 Jun 2024 21:21:19 -0500

gsocket (1.4.43-1) unstable; urgency=medium

  * New upstream version 1.4.43 (Closes: #1065966)
  * debian/copyright
    + Extend debian copyright holders years.
  * debian/control
    + Bump Standards-Version to 4.7.0 (no changes).
  * Update debian/gsocket.symbols file.

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 24 May 2024 17:54:48 -0500
