=== debian/tests/control ===
Tests: upstream-tests
Depends: @, @builddeps@, bc, rsync, net-tools, netcat, coreutils, socat, sshfs
Restrictions: build-needed, allow-stderr

Tests: flaky-tests
Depends: @, @builddeps@, net-tools, netcat, coreutils, rsync
Restrictions: build-needed, allow-stderr, flaky
